zdma: XZDma Struct Reference

| zdma Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XZDma Struct Reference

The XZDma driver instance data structure. More...

## Data Fields
XZDma_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Device and the driver instance are initialized. More...
u32 | IntrMask
| Mask for enabling interrupts. More...
XZDma_Mode | Mode
| Mode of ZDMA core to be operated. More...
u8 | IsSgDma
| Is ZDMA core is in scatter gather or not will be specified. More...
u32 | Slcr_adma
| Used to hold SLCR ADMA register contents. More...
XZDma_Descriptor | Descriptor
| It contains information about descriptors. More...
XZDma_DoneHandler | DoneHandler
| Call back for transfer done interrupt. More...
void * | DoneRef
| To be passed to the done interrupt callback. More...
XZDma_ErrorHandler | ErrorHandler
| Call back for error interrupt. More...
void * | ErrorRef
| To be passed to the error interrupt callback. More...
XZDma_DataConfig | DataConfig
| Current configurations. More...
XZDma_DscrConfig | DscrConfig
| Current configurations. More...
XZDmaState | ChannelState
| ZDMA channel is busy. More...

## Detailed Description

The XZDma driver instance data structure.

A pointer to an instance data structure is passed around by functions to refer to a specific driver instance.

## Field Documentation

XZDmaState XZDma::ChannelState

ZDMA channel is busy.

Referenced by XZDma_CfgInitialize(), XZDma_IntrHandler(), XZDma_Reset(), XZDma_Resume(), XZDma_SetChDataConfig(), XZDma_SetChDscrConfig(), XZDma_SetMode(), and XZDma_Start().

XZDma_Config XZDma::Config

Hardware configuration.

Referenced by XZDma_CfgInitialize(), XZDma_ChannelState(), XZDma_CreateBDList(), XZDma_Reset(), XZDma_Resume(), XZDma_SelfTest(), XZDma_SetChDataConfig(), XZDma_SetChDscrConfig(), XZDma_SetMode(), XZDma_WOData(), and XZDma_WriteOnlyExample().

XZDma_DataConfig XZDma::DataConfig

Current configurations.

Referenced by XZDma_GetChDataConfig(), and XZDma_SetChDataConfig().

XZDma_Descriptor XZDma::Descriptor

It contains information about descriptors.

Referenced by XZDma_CreateBDList(), and XZDma_Start().

XZDma_DoneHandler XZDma::DoneHandler

Call back for transfer done interrupt.

Referenced by XZDma_CfgInitialize(), XZDma_IntrHandler(), and XZDma_SetCallBack().

void* XZDma::DoneRef

To be passed to the done interrupt callback.

Referenced by XZDma_IntrHandler(), and XZDma_SetCallBack().

XZDma_DscrConfig XZDma::DscrConfig

Current configurations.

Referenced by XZDma_GetChDscrConfig(), and XZDma_SetChDscrConfig().

XZDma_ErrorHandler XZDma::ErrorHandler

Call back for error interrupt.

Referenced by XZDma_CfgInitialize(), XZDma_IntrHandler(), and XZDma_SetCallBack().

void* XZDma::ErrorRef

To be passed to the error interrupt callback.

Referenced by XZDma_IntrHandler(), and XZDma_SetCallBack().

u32 XZDma::IntrMask

Mask for enabling interrupts.

Referenced by XZDma_CfgInitialize(), and XZDma_Reset().

u32 XZDma::IsReady

Device and the driver instance are initialized.

Referenced by XZDma_CfgInitialize(), and XZDma_SetCallBack().

u8 XZDma::IsSgDma

Is ZDMA core is in scatter gather or not will be specified.

Referenced by XZDma_CfgInitialize(), XZDma_Resume(), XZDma_SetMode(), and XZDma_Start().

XZDma_Mode XZDma::Mode

Mode of ZDMA core to be operated.

Referenced by XZDma_CfgInitialize(), and XZDma_SetMode().

u32 XZDma::Slcr_adma

Used to hold SLCR ADMA register contents.